@import url("https://fonts.cdnfonts.com/css/helvetica-neue-9");
@import url("https://fonts.cdnfonts.com/css/ogonek");
@import url("https://fonts.cdnfonts.com/css/code-next-trial");
@import url("https://fonts.cdnfonts.com/css/oxford-street");
@import url("https://fonts.cdnfonts.com/css/ageo-personal-use");
@import url("https://fonts.cdnfonts.com/css/made-okine-sans-personal-use");
@import url("https://fonts.cdnfonts.com/css/numans");

/* ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~      F O N D O      ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~ */
body {
  background-color: #e6e6e6;
  font-family: "Numans", Helvetica, Arial, Lucida, sans-serif;
  overflow-x: hidden;
  position: relative;
  margin: 0;
  padding: 0;
}

.loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(255, 255, 255); /* Fondo semitransparente */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

/* Spinner */
.spinner {
  border: 8px solid #f3f3f3; /* Bordes gris claro */
  border-top: 8px solid #3498db; /* Borde superior azul */
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 1s linear infinite; /* Animación de giro */
}

/* Animación de giro */
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Ocultar pantalla con clase d-none */
.d-none {
  display: none;
}

/* ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~      G L O B A L      ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~ */
.title {
  text-align: center;
  position: relative;
}
.title span {
  display: inline-block;
  position: relative;
  z-index: 2;
  margin: 20px;
  padding: 10px 25px;
  font-size: 18px;
  font-family: "Oxford Street", Helvetica, Arial, Lucida, sans-serif;
  font-weight: bold;
  color: rgb(0, 0, 0);
  letter-spacing: 5px;
  text-shadow: -1px -1px 0 #fff, /* Sombra superior izquierda */ 1px -1px 0 #fff,
    /* Sombra superior derecha */ -1px 1px 0 #fff,
    /* Sombra inferior izquierda */ 1px 1px 0 #fff; /* Sombra inferior derecha */
}
.title .span-white {
  display: inline-block;
  position: relative;
  z-index: 2;
  margin: 20px;
  padding: 10px 25px;
  font-size: 18px;
  font-family: "Oxford Street", Helvetica, Arial, Lucida, sans-serif;
  font-weight: bold;
  color: rgb(255, 255, 255);
  letter-spacing: 5px;
  text-shadow: none;
}
.title::after {
  content: "";
  position: absolute;
  width: 5%;
  height: 7px;
  bottom: 10%;
  left: 50%;
  transform: translate(-50%, 0);
  background: rgb(26, 136, 53);
  z-index: 1;
  -webkit-transform: translate(-50%, 0);
  -moz-transform: translate(-50%, 0);
  -ms-transform: translate(-50%, 0);
  -o-transform: translate(-50%, 0);
}

/* ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~      M E N U      ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~ */

.menu-horizontal {
  position: relative;
  top: 0;
  left: 0;
  overflow: hidden;
}
.menu-content {
  position: relative;
  height: 100vh;

  background-color: #333;
  justify-content: space-between;
}

.btn-menu-label input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.btn-menu-label {
  display: block;
  position: relative;
  cursor: pointer;
  font-size: 20px;
  user-select: none;
}

.checkmark {
  position: relative;
  top: 0;
  left: 0;
  height: 1.3em;
  width: 1.3em;
}

.checkmark span {
  width: 32px;
  height: 2px;
  background-color: rgb(0, 0, 0);
  position: absolute;
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
}

.checkmark span:nth-child(1) {
  top: 10%;
}

.checkmark span:nth-child(2) {
  top: 50%;
}

.checkmark span:nth-child(3) {
  top: 90%;
}

.btn-menu-label input:checked + .checkmark span:nth-child(1) {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  -webkit-transform: translateY(-50%) rotate(45deg);
  -moz-transform: translateY(-50%) rotate(45deg);
  -ms-transform: translateY(-50%) rotate(45deg);
  -o-transform: translateY(-50%) rotate(45deg);
}

.btn-menu-label input:checked + .checkmark span:nth-child(2) {
  top: 50%;
  transform: translateY(-50%) rotate(-45deg);
  -webkit-transform: translateY(-50%) rotate(-45deg);
  -moz-transform: translateY(-50%) rotate(-45deg);
  -ms-transform: translateY(-50%) rotate(-45deg);
  -o-transform: translateY(-50%) rotate(-45deg);
}

.btn-menu-label input:checked + .checkmark span:nth-child(3) {
  opacity: 0;
}

.logo-menu {
  width: auto;
  height: 70px;
  display: flex;
  justify-content: center;
  margin-left: 2rem;
  margin-right: 2rem;
}

.menu-list {
  border-top: #e6e6e6 solid 2px;
  border-bottom: #e6e6e6 solid 2px;
  height: 60%;
  display: flex;
  align-items: center;
}
.menu-list ul {
  top: 0;
  left: 0;
  list-style-type: none;
  padding: 0;
  margin: 0;
  flex-direction: column;
}
.menu-item {
  position: relative;
  margin-bottom: 2rem;
  padding: 5px;
}
.menu-item::before {
  content: "";
  position: absolute;
  top: 0;
  left: -115%;
  width: 110%;
  height: 100%;
  background: #d45151;
  z-index: 0;
  transition: left 0.3s ease;
}
.menu-item:hover::before {
  left: -4%;
}
.menu-item span {
  width: 100%;
  position: relative;
  z-index: 1;
  display: inline-block;
}

.menu-item.active::before {
  left: -4%;
}
.item-link {
  display: block;
  width: 100%;
  height: 100%;
  text-decoration: none;
  color: #fff;
  text-transform: uppercase;
  overflow: hidden;
  cursor: pointer;
  transition: color 0.3s ease;
}

.btn-logout {
  position: relative;
  height: 2.5rem;
  display: inline-block;
  border: none;
  font-size: 16px;
  border-radius: 50px;
  color: #000000;
  cursor: pointer;
  background-color: rgb(255, 255, 255);
}

/* ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~      V I S T A  D I N A M I C A      ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~ */

.screen {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}
.screen-content {
  width: auto;
  height: 100vh;
  display: flex;
  justify-content: center;
}

/* ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~      L O G I N      ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~ */

.login {
  width: 50%;
  background-color: #333;
  align-items: center;
  color: #fff;
}
#showpass {
  background-color: #fff;
}
#showpass:hover {
  color: #333;
}

/* ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~      T A B L A S      ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~ */

.border-radius-lg {
  border-radius: 0.5rem;
}
.bg-gradient-primary {
  background-image: linear-gradient(195deg, #ec4040 0%, #d81b1b 100%);
}

.bg-gradient-secondary {
  background-image: linear-gradient(195deg, #747b8a 0%, #495361 100%);
}

.bg-gradient-success {
  background-image: linear-gradient(195deg, #66bb6a 0%, #43a047 100%);
}

.bg-gradient-info {
  background-image: linear-gradient(195deg, #49a3f1 0%, #1a73e8 100%);
}

.bg-gradient-warning {
  background-image: linear-gradient(195deg, #ffa726 0%, #fb8c00 100%);
}

.bg-gradient-danger {
  background-image: linear-gradient(195deg, #ef5350 0%, #e53935 100%);
}

.bg-gradient-light {
  background-image: linear-gradient(195deg, #ebeff4 0%, #ced4da 100%);
}

.bg-gradient-dark {
  background-image: linear-gradient(195deg, #42424a 0%, #191919 100%);
}

.shadow-primary {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(233, 30, 99, 0.4) !important;
}

.shadow-secondary {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(210, 210, 210, 0.4) !important;
}

.shadow-info {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(0, 188, 212, 0.4) !important;
}

.shadow-warning {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(255, 152, 0, 0.4) !important;
}

.shadow-success {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(76, 175, 80, 0.4) !important;
}

.shadow-danger {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(244, 67, 54, 0.4) !important;
}

.shadow-dark {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(64, 64, 64, 0.4) !important;
}

.shadow-light {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(233, 30, 99, 0.4) !important;
}

.shadow-primary {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.14),
    0 7px 10px -5px rgba(233, 30, 99, 0.4) !important;
}

.pb-3 {
  padding-bottom: 1rem !important;
}

.pt-4 {
  padding-top: 1.5rem !important;
}

.container-lifted {
  transform: translateY(-12px);
}

*,
*::before,
*::after {
  box-sizing: border-box;
}
.text-sm {
  font-size: 0.875rem !important;
}
.text-xs {
  font-size: 0.75rem !important;
}

.text-lg {
  font-size: 1.125rem !important;
}

.text-md {
  font-size: 1rem !important;
}

.text-sm {
  font-size: 0.875rem !important;
}

.text-xs {
  font-size: 0.75rem !important;
}

.text-xs {
  font-size: 0.65rem !important;
}

.center {
  text-align: center;
}

.title-table {
  letter-spacing: 3px;
}

.search-container {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  margin: 0 auto;
}

.search-ico {
  position: absolute;
  left: 8px;
  top: 50%;
  transform: translateY(-50%);
  padding: 0.5rem;
  background: none;
  border: none;
}

.search-ico .icon {
  width: 20px;
  height: 20px;
  color: #4a4a4a;
}

.search-input {
  width: 100%;
  padding: 0.75rem 2.5rem;
  padding-left: 2.5rem;
  border: 2px solid transparent;
  border-radius: 999px;
  outline: none;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  font-size: 1rem;
  transition: all 0.3s ease;
}

/* Placeholder del campo */
.search-input::placeholder {
  color: #a3a3a3;
}

/* Botón de reset (icono a la derecha) */
.reset-btn {
  position: absolute;
  right: 8px;
  top: 50%;
  transform: translateY(-50%);
  padding: 0.5rem;
  background: none;
  border: none;
  cursor: pointer;
}

.reset-btn .icon {
  width: 20px;
  height: 20px;
  color: #4a4a4a;
}
.reset-btn .icon:active {
  width: 20px;
  height: 20px;
  color: #ff0000;
}
.btn-add {
  width: 50px;
  height: 50px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(255, 255, 255);
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
  border: none;
  color: #22c55e;
}

/* Icono del botón */
.btn-plus-icon {
  transition-duration: 0.3s;
}
.btn-add:active .btn-plus-icon {
  transform: rotate(90deg);
  transition-duration: 0.3s;
}

.btn-action {
  width: 36px;
  height: 36px;
  border-radius: 10px;
  background-color: #353434;
  color: #cccccc;
  border: none;
  cursor: pointer;
  position: relative;
  outline: none;
}
.card-table {
  background-color: inherit;
  border: none;
}
.table-container {
  height: calc(100vh - 200px); /* Ajusta según el diseño */
  overflow-y: auto;
  position: relative;
}
.table-container::-webkit-scrollbar {
  width: 6px;
  border-radius: 10px;
  display: none;
}

.table-container::-webkit-scrollbar-thumb {
  background-color: #bebebe; /* Color del thumb (barra de desplazamiento) */
  border-radius: 100px; /* Bordes redondeados */
}

.table-responsive {
  max-height: 100%;
  background-color: #fff;
  border-radius: 10px;
}

/* ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~      A Ñ A D I R   M A Q U I N A R I A      ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~ */

.btn-back {
  width: 50px;
  height: 50px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(255, 255, 255);
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
  border: none;
  color: #d45151;
}

.form-container {
  background-color: #fff;
  height: calc(100vh - 200px);
  border-radius: 10px;
  overflow-y: auto;
  position: relative;
}
.form-container::-webkit-scrollbar {
  width: 6px;
  border-radius: 10px;
  display: none;
}

.form-container::-webkit-scrollbar-thumb {
  background-color: #bebebe; /* Color del thumb (barra de desplazamiento) */
  border-radius: 100px; /* Bordes redondeados */
}
#formularioMaquinaria .maquina,
#formularioMaquinaria .input-design {
  position: relative;
  border: 1px solid silver;
  margin: 20px 0;
}
.bootstrap-select .dropdown-toggle {
  background-color: inherit !important;
  color: rgb(0, 0, 0) !important;
  border: none !important;
}

.bootstrap-select .dropdown-menu {
  background-color: #ffffff !important; /* Fondo del menú desplegable */
  border-radius: 0 !important;
}

.bootstrap-select .dropdown-item {
  color: #333 !important; /* Color de los elementos */
}

.bootstrap-select .dropdown-item:hover {
  background-color: #ccc !important;
  color: white !important;
}
.bootstrap-select .dropdown-toggle,
.input-design input {
  width: 100%;
  padding: 0 5px;
  height: 50px;
  border: none;
  background: none;
  outline: none;
  color: inherit;
  font-size: 16px;
  padding: 15px 15px !important;
}
.bootstrap-select .dropdown-toggle:focus,
.bootstrap-select .dropdown-toggle:active,
.bootstrap-select .dropdown-toggle:focus-visible {
  outline: none !important;
  box-shadow: none !important;
}
.maquina label,
.input-design label {
  position: absolute;
  top: 50%;
  left: 10px;
  color: silver;
  transform: translateY(50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(50%);
  -ms-transform: translateY(50%);
  -o-transform: translateY(50%);
  font-size: 14px;
  pointer-events: none;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.maquina label {
  top: 0px;
  color: #000000;
  background-color: #fff;
  font-weight: bold;
  border-radius: 100px;
}

.input-design input:focus + label,
.input-design input.valido + label {
  top: 0px;
  color: #000000;
  background-color: #fff;
  font-weight: bold;
  border-radius: 100px;
}

.file-input {
  position: absolute;
  left: -9999px;
  width: 100%;
  height: 100%;
}

.file-input-label {
  display: flex;
  align-items: center;
  background-color: #ffff;
  color: #000;
  cursor: pointer;
  border: 1px solid silver;
  padding: 15px 15px;
  font-size: 14px;
  width: 100%;
  height: 100%;
}

.inputImage-label {
  position: absolute;
  top: -10px;
  left: 10px;
  color: rgb(0, 0, 0);
  font-size: 14px;
  pointer-events: none;
  background-color: #fff;
  font-weight: bold;
}

